@import "tailwindcss";

@font-face {
  font-family: "Helvetica Neue";
  src: url("assets/fonts/HelveticaNeueCyr-Roman.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Helvetica Neue";
  src: url("assets/fonts/HelveticaNeueCyr-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: medium;
}

@font-face {
  font-family: "Helvetica Neue";
  src: url("assets/fonts/HelveticaNeueCyr-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: bold;
}

@font-face {
  font-family: "NotoSansDevanagariUI";
  src: url("assets/fonts/nepali/NotoSansDevanagariUI-Regular.ttf")
    format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "NotoSansDevanagariUI";
  src: url("assets/fonts/nepali/NotoSansDevanagariUI-Medium.ttf")
    format("truetype");
  font-weight: 500;
  font-style: medium;
}

@font-face {
  font-family: "NotoSansDevanagariUI";
  src: url("assets/fonts/nepali/NotoSansDevanagariUI-Bold.ttf")
    format("truetype");
  font-weight: 700;
  font-style: bold;
}

@font-face {
  font-family: "DMSans";
  src: url("assets/fonts/DMSans-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "DMSans";
  src: url("assets/fonts/DMSans-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: medium;
}

@font-face {
  font-family: "DMSans";
  src: url("assets/fonts/DMSans-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: bold;
}

body {
  overflow-x: hidden;
  color: #1a1a1a;
}

/*Milestone slider card css*/

.half-border {
  position: relative;
  /*padding-left: 20px;  space for the border */
  border-left: none; /* no regular border */
}

.half-border-bottom {
  position: relative;
  /*padding-left: 36px;*/ /* space for the border */
  border-left: none; /* no regular border */
}

.milestone-texts::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 6px;
  height: 100%;
  background: #3b82f6;
  border-radius: 20px 0 0 20px;
}

.milestone-texts-bottom::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 6px;
  height: 100%;
  background: #fa9600;
  border-radius: 20px 0 0 20px;
}

.hover-underline {
  position: relative;
  display: inline-block;
}

.hover-underline::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px; /* adjust spacing */
  width: 100%;
  height: 2px;
  background-color: currentColor;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* Hover in */
.hover-underline:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}

/* Hover out (key trick) */
.hover-underline::after {
  transform-origin: right;
}

.blue-scrollbar::-webkit-scrollbar {
  width: 3px;
}

.blue-scrollbar::-webkit-scrollbar-track {
  background-color: #e0e2e4;
}

.blue-scrollbar::-webkit-scrollbar-thumb {
  background: var(--primary);
  border-radius: 1000px;
  background-clip: content-box; /* Ensures the border doesn't cover the gradient */
}

nav ul li a {
  position: relative;
  display: inline-block;
  transform: translateY(-0px);
}

nav ul li a:hover {
  position: relative;
  display: inline-block;
  transform: translateY(-1px);
  transition: all ease-in-out 0.2s;
}

nav ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px; /* adjust spacing */
  width: 100%;
  height: 1px;
  border-radius: 1000px;
  background-color: currentColor;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

nav ul li a:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
nav ul li a::after {
  transform-origin: right;
}

.nav-menu li.current-menu-item > a,
.nav-menu li.current-menu-parent > a,
.nav-menu li.current-menu-ancestor > a,
.nav-menu li.current_page_parent > a {
  border-bottom: 1px solid white;
  padding-bottom: 2px;
}

#mobile-menu .current-menu-item > a {
  border-bottom: 2px solid #1a1a1a;
  padding-bottom: 4px;
}

/* DOT HOVER : */

/* nav ul li a {
  position: relative;
  display: inline-block;
  transform: translateY(0);
  transition: transform 0.2s ease-in-out;
} */

/* nav ul li a:hover {
  transform: translateY(-1px);
} */

/* Dot */
/* nav ul li a::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -10px;

  width: 6px;
  height: 6px;
  border-radius: 9999px;
  background-color: currentColor;

  opacity: 1;
  transform: translate(-50%, 50px);  starts lower 
  transition:
    opacity 0.25s ease,
    transform 0.25s ease;
} */

/* Hover */
/* nav ul li a:hover::after {
  opacity: 1;
  transform: translate(-50%, -2px);
} */

/* Active/current menu items */
/* .nav-menu li.current-menu-item > a::after,
.nav-menu li.current-menu-parent > a::after,
.nav-menu li.current-menu-ancestor > a::after,
.nav-menu li.current_page_parent > a::after {
  opacity: 1;
  transform: translate(-50%, -2px);
} */

/* Remove old underline styles */
/* .nav-menu li.current-menu-item > a,
.nav-menu li.current-menu-parent > a,
.nav-menu li.current-menu-ancestor > a,
.nav-menu li.current_page_parent > a,
#mobile-menu .current-menu-item > a {
  border-bottom: none;
  padding-bottom: 0;
} */

@media (max-width: 768px) {
  .nav-menu li.current-menu-item > a {
    border-bottom: 1px solid var(--primary);
    padding-bottom: 2px;
  }
}

/* Fade in on load */
.fade-in {
  opacity: 0;
  animation: fadeIn 1s ease forwards;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

/* Scroll Fade In */
.fade-in-scroll {
  opacity: 0;
  transform: translateY(40px);
}

.fade-in-scroll.active {
  animation: fadeInScroll 0.6s ease-out forwards;
  animation-delay: calc(var(--i) * 0.1s);
}

@keyframes fadeInScroll {
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}

@keyframes click-bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(1);
  }
}

.btn-click:active {
  animation: click-bounce 0.5s ease;
}

/* @media (min-width: 1600px) {
  html {
    font-size: 16px;
  }
}

@media (min-width: 1900px) {
  html {
    font-size: 18px;
  }
} */

.circle-hover {
  position: relative;
  overflow: hidden;
}

.circle-hover .circle {
  position: absolute;
  border-radius: 50%;
  transform: scale(0);
  background: var(--tertiary);
  pointer-events: none;
  color: var(--primary);

  transition: transform 400ms ease;
  z-index: 0; /* behind */
}

.circle-hover .content {
  position: relative;
  z-index: 1; /* above */
}

select {
  border-radius: 1rem; /* works on some browsers for the box */
  background-color: #fff;
}

select option {
  padding: 0.5rem 1rem;
  background-color: #ffffff;
  color: #374151; /* Tailwind gray-700 */
}

select option:hover {
  background-color: #f3f4f6; /* Tailwind gray-100 */
}

#menu[popover] {
  position: absolute; /* required */
  margin: 0.25rem 0; /* spacing below the button */
  z-index: 50; /* ensures dropdown appears above other elements */
}

.pagination {
  text-align: center;
  margin-top: 2rem;
}

.pagination ul {
  list-style: none;
  padding: 0;
  display: inline-flex;
  gap: 0.5rem;
}

.pagination li {
  display: inline-block;
}

.pagination li a,
.pagination li span {
  display: block;
  padding: 0.5rem 0.95rem;
  border: 1px solid #ccc;
  border-radius: 9999px;
  text-decoration: none;
  color: #333;
  min-width: 2rem;
  text-align: center;
}

.pagination li a:hover {
  background-color: #f0f0f0;
}

.pagination li span.current {
  background-color: var(--primary); /* primary color */
  color: #fff;
  border-color: var(--primary);
}

/* Language Toggle Switch */
.switch {
  position: relative;
  display: inline-block;
  margin: 0 5px;
}

.switch > span {
  position: absolute;
  top: 7px;
  pointer-events: none;
  font-weight: medium;
  font-size: 14px;
  text-transform: uppercase;
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.06);
  width: 50%;
  text-align: center;
  z-index: 10;
}

input.check-toggle-round-flat:checked ~ .off {
  color: #fff;
}

input.check-toggle-round-flat:checked ~ .on {
  color: #497de6;
}

.switch > span.on {
  left: 0;
  padding-left: 2px;
  color: #fff;
}

.switch > span.off {
  right: 0;
  padding-right: 4px;
  color: #497de6;
}

.check-toggle {
  position: absolute;
  margin-left: -9999px;
  visibility: hidden;
}
.check-toggle + label {
  display: block;
  position: relative;
  cursor: pointer;
  outline: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

input.check-toggle-round-flat + label {
  padding: 2px;
  width: 97px;
  height: 35px;
  background-color: #eaeaf7;

  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
}
input.check-toggle-round-flat + label:before,
input.check-toggle-round-flat + label:after {
  display: block;
  position: absolute;
  content: "";
}

input.check-toggle-round-flat + label:before {
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  /* background-color: var(--primary); */
  -webkit-border-radius: 60px;
  -moz-border-radius: 60px;
  -ms-border-radius: 60px;
  -o-border-radius: 60px;
  border-radius: 60px;
}
input.check-toggle-round-flat + label:after {
  top: 4px;
  left: 4px;
  bottom: 4px;
  width: 45px;
  background-color: #497de6;
  -webkit-border-radius: 52px;
  -moz-border-radius: 52px;
  -ms-border-radius: 52px;
  -o-border-radius: 52px;
  border-radius: 52px;
  -webkit-transition: margin 0.2s;
  -moz-transition: margin 0.2s;
  -o-transition: margin 0.2s;
  transition: margin 0.2s;
}

input.check-toggle-round-flat:checked + label:after {
  margin-left: 44px;
}

.all-faqs details:first-of-type {
  padding-top: 0;
}

.branch-item summary {
  display: flex;
  align-items: flex-start;
}

.branch-item summary::marker {
  display: none; /* hide default marker */
}

.branch-item summary::before {
  content: "▶";
  color: var(--primary);
  margin-right: 0.3rem;
  flex-shrink: 0;
  font-size: 0.65rem;
}

/* rotate when details is open */
.branch-item[open] summary::before {
  transform: rotate(90deg);
}

body.menu-open {
  overflow: hidden;
  height: 100vh;
}
